package Zim::Components::SearchDialog;

use strict;
use Gtk2;
use Gtk2::SimpleList;

our $VERSION = '0.01';

=head1 NAME

Zim::Components::SearchDialog - simple module

=head1 SYNOPSIS

FIXME simple code example

=head1 DESCRIPTION

FIXME descriptve text

=head1 EXPORT

None by default.

=head1 METHODS

=over 4

=item C<new()>

Simple constructor

=cut

sub new {
	my ($class, %self) = @_;
	bless \%self, $class;
}

=item C<show()>

=cut

sub show {
	my $self = shift;
	
	## Setup dialog
	my $dialog = Gtk2::Dialog->new(
		'Search - Zim', $self->{app}{window},
		[qw/destroy-with-parent no-separator/],
		'gtk-find' => 'ok',
	);
	$dialog->set_border_width(5);
	$dialog->set_icon($self->{app}{window}->get_icon);
	
	my $table = Gtk2::Table->new(1, 2);
	$table->set_border_width(5);
	$table->set_row_spacings(5);
	$table->set_col_spacings(12);
	$dialog->vbox->pack_start($table, 0,1,0);

	my %entries;
	my $label = Gtk2::Label->new('Search:');
	my $entry = Gtk2::Entry->new();
	$table->attach_defaults($label, 0,1, 0,1);
	$table->attach_defaults($entry, 1,2, 0,1);
	$entries{search} = $entry;

	$dialog->show_all;

	my $list = Gtk2::SimpleList->new(Page => 'text');
	$list->set_headers_visible(0);
	$dialog->vbox->add($list);
	
	while ($dialog->run eq 'ok') {
		my $query = $entries{search}->get_text;
		$list->show;
		@{$list->{data}} = 
			$self->{app}{repository}->search(':', $query);
	}
	$dialog->destroy;
}

1;

__END__

=back

=head1 AUTHOR

Jaap Karssenberg (Pardus) E<lt>pardus@cpan.orgE<gt>

Copyright (c) 2006 Jaap G Karssenberg. All rights reserved.
This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.

=head1 SEE ALSO

=cut

